### Function

# Json ObjectForeach

since: 0.8

#### Declaration

    void
    (* JsonObjectForeach) (
      JsonObject* object,
      const gchar* member_name,
      JsonNode* member_node,
      gpointer user_data
    )

#### Description [src]

The function to be passed to `json_object_foreach_member()`.

You should not add or remove members to and from `object` within this function.

It is safe to change the value of `member_node`.

Available since: 0.8

#### Parameters

`object`

  Type: `JsonObject`

  The iterated JSON object.

  The data is owned by the caller of the function.

`member_name`

  Type: `const gchar*`

  The name of the member.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`member_node`

  Type: `JsonNode`

  The value of the member.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.